#set( $symbol_pound = '#' )
#set( $symbol_dollar = '$' )
#set( $symbol_escape = '\' )
<%@taglib prefix="s" uri="/struts-tags" %>
<%@taglib prefix="sj" uri="/struts-jquery-tags" %>
<%@taglib prefix="decorator" uri="http://www.opensymphony.com/sitemesh/decorator" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<meta http-equiv="Content-type" content="text/html; charset=utf-8" />
<title>BlueOxygen Cimande, the Workspace of all BlueOxygen Projects</title>

<link rel="stylesheet" type="text/css" href="<s:url value="/jscript/ext331/resources/css/ext-all-notheme.css" />" /> 
<link rel="stylesheet" type="text/css" href="<s:url value="/jscript/ext331/resources/css/xtheme-gray.css" />" />
<link href="<s:url value="/style/columnar/default_layout.css" />" rel="stylesheet" type="text/css" />
<!--[if lte IE 7]>
<link href="css/patches/patch_my_layout.css" rel="stylesheet" type="text/css" />
<![endif]-->
<!-- LIBS --> 
<script type="text/javascript" src="<s:url value="/jscript/ext331/adapter/ext/ext-base.js" />"></script>
<script type="text/javascript" src="<s:url value="/jscript/ext331/ext-all.js" />"></script> 
<!-- ENDLIBS -->
		<% if(request.getSession().getAttribute("CIMANDE_USER") != null) { %>
		<script type="text/javascript">
			Ext.onReady(function(){
    			// shorthand
   				var Tree = Ext.tree;

    			var tree = new Tree.TreePanel({
        			useArrows: true,
        			autoScroll: true,
        			animate: true,
        			enableDD: true,
        			containerScroll: true,
        			border: false,
        			// auto create TreeLoader
        			
        			dataUrl: '<s:url value="/backend/yuitree/json" forceAddSchemeHostAndPort="true" />',
					draggable: false,
        			root: {
            			nodeType: 'async',
            			text: 'Ext JS',
            			draggable: false,
            			id: 'src'
        			}, rootVisible: false
    			});

    			// render the tree
    			tree.render('col1_content');
    			tree.getRootNode().expand();
			});
		</script>
		<% } %>
		<sj:head loadFromGoogle="false" jqueryui="true" jquerytheme="smoothness" />
		<script type="text/javascript" src="<s:url value="/jscript/jq/external/jquery.hashhistory.js" />"></script>
		
		<style type="text/css">
			.x-tree-node-anchor, .x-tree-selected { text-decoration: none; }
		</style>
</head>
<body>
  <div class="page_margins ui-corner-all">
    <div class="page ui-corner-all">
      <div id="header">
        <div id="topnav">
          <% if(request.getSession().getAttribute("CIMANDE_USER") != null) { %>
          Logged in as ${symbol_dollar}{request.session.CIMANDE_USER.username} (${symbol_dollar}{request.session.CIMANDE_USER.role.name}) |
          <a href="<s:url value="/user/password/edit" />" title="Change Password">Change Password</a> | <a href="<s:url value="/backend/user/site" />" title="Change Site">Change Site</a> | <a href="<s:url value="/backend/user/logout" />" title="Sign out from workspace">Logout</a>
          <% } %>
        </div>
        <p>
        	<img alt="Cimande" src="<s:url value="/images/blueoxygen-logo-new.jpg" />" width="250" />
        </p>
      </div>
      <div id="nav">
        <div class="hlist">
          <!-- main navigation: horizontal list -->
          <ul>
            <li><a href="<s:url value="/backend/user/index" />" target="_blank">Home</a></li>
            <li><a href="http://java.net/projects/blueoxygen/forums" target="_blank">Forum</a></li>
            <li><a href="http://blueoxygen.org" target="_blank">About</a></li>
          </ul>
        </div>
      </div>
      <div id="main">
        <div id="col1">
          <div id="col1_content" class="clearfix">
            <!-- navigator tree here -->
          </div>
        </div>
        <div id="col3">
          <div id="col3_content" class="clearfix">
            <!-- add your content here -->
            <decorator:body />
          </div>
          <!-- IE Column Clearing -->
          <div id="ie_clearing"> &${symbol_pound}160; </div>
        </div>
      </div>
      <!-- begin: ${symbol_pound}footer -->
      <div id="footer">
        <p>Copyright &copy; 2011 - <a href="http://blueoxygen.net"><b>BlueOxygen Technology</b></a>. All Rights Reserved.</p> 
      </div>
    </div>
  </div>
</body>
</html>
